package com.ebts.generator.dao;

import java.util.List;
import com.ebts.generator.entity.SearchTableRole;

/**
 * top万能查询角色关系Mapper接口
 *
 * @author clay
 * @date 2021-07-21
 */
public interface SearchTableRoleDao {
    /**
     * 查询top万能查询角色关系列表
     *
     * @param searchTableRole top万能查询角色关系
     * @return top万能查询角色关系集合
     */
    List<SearchTableRole> selectSearchTableRoleList(SearchTableRole searchTableRole);

    /**
     * 删除top万能查询角色关系
     *
     * @param searchTableId top万能查询角色关系ID
     * @return 结果
     */
    int deleteSearchTableRoleById(Long searchTableId);
    int deleteSearchTableRoleByIds(Long[] searchTableIds);

    /**
     * 批量添加top万能查询角色关系
     *
     * @param roleList
     * @return 结果
     */
    int batchSearchTableRole(List<SearchTableRole> roleList);
}
